This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### random()
Examples |
    for (int i = 0; i < 100; i++) {
      float r = random(50);
      stroke(r*5);
      line(50, i, 50+r, i);
    }
    for (int i = 0; i < 100; i++) {
      float r = random(-50, 50);
      println(r);
    }
    // Get a random element from an array
    String[] words = { "apple", "bear", "cat", "dog" };
    int index = int(random(words.length));  // Same as int(random(4))
    println(words[index]);  // Prints one of the four words
Description | Generates random numbers. Each time the random() function is called, it returns an unexpected value within the specified range. If only one parameter is passed to the function, it will return a float between zero and the value of the high parameter. For example, random(5) returns values between 0 and 5 (starting at zero, and up to, but not including, 5). If two parameters are specified, the function will return a float with a value between the two values. For example, random(-5, 10.2) returns values starting at -5 and up to (but not including) 10.2. To convert a floating-point random number to an integer, use the int() function.
Syntax |
    random(high)
    random(low, high)
Parameters |
low | float: lower limit
high | float: upper limit
Returns | float
Related | randomSeed() noise()

Updated on October 26, 2013 08:58:30pm PDT